Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### - (minus)

Examples

    int c = 50 - 5;  // Sets c to 45
    int d = c - 5;   // Sets d to 40
    int e = d - 60;  // Sets e to -20

    int a = 5;         // Sets "a" to 5
    int b = -a;        // Sets "b" to -5
    int c = -(5 + 3);  // Sets "c" to -8

Description | Subtracts one value from another and may also be used to negate a value. As a subtraction operator, the value of the second parameter is subtracted from the first. For example, 5 - 3 yields the number 2. As a negation operator, it is equivalent to multiplying a number by -1. For example, -5 is the same as 5 * -1.

Syntax

    -value1value1 - value2

Parameters

value1 | int or float
value2 | int or float

Usage | Web & Application
Related | -- (decrement) -= (subtract assign) + (add)

Updated on November 22, 2008 08:39:25pm PST